Go Back  RCU Forums > RC Airplanes > RC Flight Simulator Software
Reload this Page >

Flight sim incompatab

Notices
RC Flight Simulator Software Discuss rc flight simulator software here. Aerofly Pro, RealFlight G3, XTR, Reflex, etc.

Flight sim incompatab

Old 01-19-2022, 02:02 PM
  #1  
left seat
Thread Starter
 
Join Date: Dec 2008
Location: Brampton, ON, CANADA
Posts: 57
Likes: 0
Received 0 Likes on 0 Posts
Default Flight sim incompatab

I just got a new lap top with windows 11. I tried installing my real flight rc flight simulator which I purchased a number of years ago. The installation was successful but at the end of the install a message popped up saying this program can't run on this version of windows. Does that mean I need to buy a newer version of real flight in order to use it on this computer, or, is there a download from microsoft that can fix this.
Old 01-19-2022, 05:59 PM
  #2  
tedsander
 
Join Date: Jul 2004
Location: White Bear lake, MN
Posts: 618
Likes: 0
Received 48 Likes on 45 Posts
Default

Google "Windows Compatibility Mode", and see if that will allow it to run - a Windows feature that allows software to think it is running on older versions.
You didn't note what version of Real Flight you have, but likely the program is checking to make sure you aren't using a really, really old version of Windows. Unfortunately, it itself is too old to recognize versions of Windows newer than what existed when it came out. Since the version isn't on its list, it reports that it can't run.
If you do decide to upgrade, go over to the Knife Edge site/forums first and do a bit of research. Because even the latest is based on a pretty old graphics engine, there are major brand video cards it no longer works with. If you have a NVidia card, you will be fine.
Old 01-20-2022, 07:29 AM
  #3  
left seat
Thread Starter
 
Join Date: Dec 2008
Location: Brampton, ON, CANADA
Posts: 57
Likes: 0
Received 0 Likes on 0 Posts
Default

The version of real flight that I have is the G4.
Old 01-20-2022, 08:10 AM
  #4  
tedsander
 
Join Date: Jul 2004
Location: White Bear lake, MN
Posts: 618
Likes: 0
Received 48 Likes on 45 Posts
Default

G4 is now at least 15 years old. If it won't run in compatibility mode, time to upgrade.
They have just recently stopped shipping 9.5 on disks, and have gone to downloading from Steam.
If Win11 shows your controller as a working Joystick/Game Controller in Devices, you can continue to use it. Any USB game controller can be used (or Transmitters that have either a usb output or a usb "dongle" if made for that brand). But most think that the latest one from RF is a good upgrade, also.
Radeon video cards in the 6000 model series level and above will NOT run it, due to dropping DX9 support. Those in the 5000's and below will work, but you have to find an old version of the drivers.
All NVidia cards continue to work with it, currently.
Unknown about other built-in video on some laptops, which is usually pretty poor for usage even if it does allow it to run.
Old 01-20-2022, 08:52 AM
  #5  
left seat
Thread Starter
 
Join Date: Dec 2008
Location: Brampton, ON, CANADA
Posts: 57
Likes: 0
Received 0 Likes on 0 Posts
Default

Thank you my friend for the prompt reply. Not what I wanted to hear but thanks anyway.

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Thread Tools
Search this Thread

Contact Us - Archive - Advertising - Cookie Policy - Privacy Statement - Terms of Service - Do Not Sell My Personal Information -

Copyright 2021 MH Sub I, LLC dba Internet Brands. All rights reserved. Use of this site indicates your consent to the Terms of Use.